Commit b762a13e authored by Peter Palfrader's avatar Peter Palfrader
Browse files

Fix init script verify call

If $DAEMON $VERIFY_ARGS fails, call use the same arguments for finding
the errors and not $DAEMON --verify-config.
parent 97df52e3
Loading
Loading
Loading
Loading
+3 −1
Original line number Diff line number Diff line
@@ -2,8 +2,10 @@ tor (0.2.4.7-alpha-XX) XXperimental; urgency=low

  * Move the geoip6 file to the tor-geoip package (spotted by George
    Kargiotakis).
  * If $DAEMON $VERIFY_ARGS fails, call use the same arguments for
    finding the errors and not $DAEMON --verify-config.

 -- Peter Palfrader <weasel@debian.org>  Thu, 27 Dec 2012 19:22:44 +0100
 -- Peter Palfrader <weasel@debian.org>  Fri, 28 Dec 2012 16:35:25 +0100

tor (0.2.4.7-alpha-1) experimental; urgency=low

+1 −1
Original line number Diff line number Diff line
@@ -111,7 +111,7 @@ check_torpiddir () {
check_config () {
	if ! $DAEMON $VERIFY_ARGS > /dev/null; then
		log_failure_msg "Checking if $NAME configuration is valid"
		$DAEMON --verify-config >&2
		$DAEMON $VERIFY_ARGS >&2
		exit 1
	fi
}